import numpy as np
from numba import vectorize#, cuda

@vectorize('float32(float32, float32)', target='cuda')
def add(a, b):
  return a + b

if __name__ == '__main__':
  n = 1000000
  a = np.ones(n, dtype=np.float32)*2
  b = np.ones(n, dtype=np.float32)*3

  b = add(a, b)

  for i in range(10): print(f'b[{i}] = {b[i]}')
