#include <cstdio>

int main()
{
    constexpr size_t n = 1000000;
    float *a = new float[n], *b = new float[n];
    for (int i = 0; i < n; i++) {
        a[i] = 2.;
        b[i] = 3.;
    }

    #pragma omp target parallel for map(to: a[:n]) map(tofrom: b[:n])
    for (int i = 0; i < n; i++)
        b[i] = a[i] + b[i];

    for (int i = 0; i < 10; i++) printf("b[%d] = %f\n", i, b[i]);

    delete[] a;
    delete[] b;
}
