#!/bin/bash
commit=7c3f80acf1df5a8907118706a2260184cfccc6a1
archive_md5sum=b7b17eeded2cb5dfb9e174424b3f7ecb
url=https://github.com/treecode/sapporo2/archive/$commit.tar.gz
wget -O sapporo2.tar.gz $url

# Verify source.
md5sum --check <<<"$archive_md5sum sapporo2.tar.gz"

# Protect .gitignore.
cp -rp .gitignore .gitignore~

# Untar original source.
tar --strip-components=1 -xvf sapporo2.tar.gz

# Restore .gitignore
mv .gitignore~ .gitignore

# Cleanup unused bits
rm -rf sapporo2.tar.gz                  \
       lib/include/vec.h                \
       lib/include/ocldev.h*            \
       lib/include/SSE_AVX              \
       lib/interfaces/sapporo6thlib.cpp \
       lib/interfaces/sapporoG5lib.cpp  \
       lib/interfaces/sapporoYeblib.cpp \
       lib/Makefile_ocl                 \
       lib/OpenCLKernels

# Patch source.
patch -p0 < patch.diff
